self: super:
let
  myEmacs = (super.emacs.override {
    withGTK3 = false;
    withGTK2 = false;
    withX = false;
  });
  emacsWithPackages = (super.emacsPackagesGen myEmacs).emacsWithPackages;
in {
  ta = {
    emacs =
      emacsWithPackages (epkgs: (with epkgs.melpaStablePackages; [
        magit
        zerodark-theme
      ]) ++ (with epkgs.melpaPackages; [
        racket-mode
        idris-mode
        nix-mode
      ]));
  };
}
